Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-rfc4566bis-04.txt

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Mon, 27 Feb 2012 18:22:06 +0000

Sorry, I thought I replied to this message. Apparently, I have not.

> -----Original Message-----
> From: Miguel A. Garcia [mailto:[email-masked]]
> Sent: Thursday, December 01, 2011 1:02 PM
> To: OKUMURA Shinji
> Cc: [email-masked]; Ali C. Begen (abegen)
> Subject: Re: [MMUSIC] I-D Action: draft-ietf-mmusic-rfc4566bis-04.txt
> 
> Hi Shinji,
> 
> my replies (as an individual). I am also copying Ali, since he is editing
> the draft.
> 
> On 30/11/2011 10:34, OKUMURA Shinji wrote:
> > Hi,
> >
> > I have some questions concerning draft-ietf-mmusic-rfc4566bis-04.
> >
> > [Page 25]
> >      "If the<proto>  sub-field is "udp" the<fmt>  sub-fields MUST
> >      reference a media type describing the format under the "audio",
> >      "video", "text", "application", or "message" top-level media
> >      types.  The media type registration SHOULD define the packet
> >      format for use with UDP transport."
> >
> > Q1. In this document, there are some "media type",
> >      "top-level media content types", "top-level content type"
> >      and "top-level media types".
> >
> >      Which do these mean "MIME media type" or "SDP media type"?
> >      Or do the both of two have the same meaning?
> >      I think these are ambiguous expressions.
> 
> 
> I think in the past the original term was MIME type, but since it was not
> only used for e-mail, that old term has been nowadays being replaced by
> "media types".

This is my understanding, too.
 
> A media type is composed of a "top-level media type", such as "audio", or
> "video", and a "subtype", such as "G729" or "iLBC". Sometimes, the
> "top-level media type" is also known as "Content type", or more simply,
> "type".
> 
> I agree with you that the draft should be coherent with the terminology.
> I suggest to avoid the word "MIME". And I suggest to pick one term for
> the "top-level media type", I don't have a strong preference for one.

I will replace "top-level content type" with "top-level media type". There are just a few occurrences anyway.

As for the MIME, I checked where it appeared. And I don’t see a need for any changes (I have not seen any confusion around those points). But, if you think we need to change something, please propose a specific text. 

Thanks.
-acbegen